part of persik;

class Utils {

  static DateTime DateFromJsonValue(value) {
    if (value is String) {
      return DateTime.parse(value);
    }
    return value;
  }

  static Map<String, String> parseUrlParameters() {
    String search = window.location.search;
    Map<String, String> params = new Map<String, String>();
    if (search != null && search.isNotEmpty) {
      if (search.startsWith("?")) {
        search = search.substring(1);
      }
      search.split("&").map((String pair) => pair.split("=")).forEach((pair) => params[pair[0]] = pair[1]);
    }
    return params;
  }

  static String urlWithoutSearch() {
    if (window.location.href.contains("?")) {
      return window.location.href.substring(0, window.location.href.indexOf('?'));
    }
    return window.location.href;
  }
}
